import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/check_success_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/check_success_entity.g.dart';

@JsonSerializable()
class CheckSuccessEntity {
	@JSONField(name: "applied_id")
	int? appliedId = 0;
	@JSONField(name: "check_img")
	String? checkImg = '';
	@JSONField(name: "check_time")
	String? checkTime = '';

	CheckSuccessEntity();

	factory CheckSuccessEntity.fromJson(Map<String, dynamic> json) => $CheckSuccessEntityFromJson(json);

	Map<String, dynamic> toJson() => $CheckSuccessEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}